Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IFieldVisualizer

    java.lang.Object
      igeo.IObject
          igeo.IAgent
              igeo.IFieldVisualizer

All Implemented Interfaces:
  IDynamics, ISubobject

    public class IFieldVisualizer

extends IAgent

Visualize field with xyz grid of arrows (IVectorObject)

Author:
  Satoru Sugihara

Field Summary
`float` | `alpha`
`IVectorObject[][][]` | `arrows`
`float` | `arrowSize`
`float` | `arrowSizeRatio`
`float` | `arrowWeight`
`boolean` | `autoColorAdjust` adjust minLength/maxLength relative to existing lengths
`boolean` | `autoLengthAdjust`
`boolean` | `autoSizeAdjust`
`static IColor` | `defaultMaxColor`
`static IColor` | `defaultMinColor`
`static int` | `defaultNum`
`boolean` | `fieldSet`
`double` | `fixedLength`
`boolean` | `fixLength`
`IVec` | `max` corner of grid box
`IColor` | `maxColor`
`double` | `maxLength` for coloring vector by length
`IVec` | `min` corner of grid box
`static double` | `minAutoLengthRatio`
`IColor` | `minColor`
`double` | `minLength` for coloring vector by length
`double` | `scale` scale of vector length
`double` | `spacing`
`boolean` | `updateAlways`
`IVec[][][]` | `vectors`
`int` | `xnum`
`int` | `ynum`
`int` | `znum`

Fields inherited from class igeo.IAgent
`alive, duration, interactOverridden, localDynamics, parent, targets, time`

Fields inherited from class igeo.IObject
`attribute, dynamics, graphics, parameter, server, userData`

Constructor Summary
`IFieldVisualizer(double minxyz, double maxxyz)`
`IFieldVisualizer(double minx, double miny, double maxx, double maxy)`
`IFieldVisualizer(double minx, double miny, double minz, double maxx, double maxy, double maxz)`
`IFieldVisualizer(double minx, double miny, double minz, double maxx, double maxy, double maxz, int xSampleNum, int ySampleNum, int zSampleNum)`
`IFieldVisualizer(IVec corner, double xwidth, double yheight)`
`IFieldVisualizer(IVec corner, double xwidth, double yheight, double zdepth)`
`IFieldVisualizer(IVec corner, double xwidth, double yheight, double zdepth, int xSampleNum, int ySampleNum, int zSampleNum)`
`IFieldVisualizer(IVec corner, double xwidth, double yheight, int xSampleNum, int ySampleNum)`
`IFieldVisualizer(IVec minCorner, IVec maxCorner)`
`IFieldVisualizer(IVec minCorner, IVec maxCorner, int xSampleNum, int ySampleNum, int zSampleNum)`

Method Summary
`IFieldVisualizer` | `adjustColorAuto(boolean f)`
`IFieldVisualizer` | `adjustColorAutomatically(boolean f)`
`IFieldVisualizer` | `adjustLengthAuto(boolean f)`
`IFieldVisualizer` | `adjustLengthAutomatically(boolean f)`
`IFieldVisualizer` | `adjustSizeAuto(boolean f)`
`IFieldVisualizer` | `adjustSizeAuto(float ratio)`
`IFieldVisualizer` | `adjustSizeAutomatically(boolean f)`
`IFieldVisualizer` | `adjustSizeAutomatically(float ratio)`
`IFieldVisualizer` | `alpha(float a)`
`IFieldVisualizer` | `alpha(int a)`
`IFieldVisualizer` | `arrowSize(float sz)`
`IFieldVisualizer` | `arrowSizeRatio(float f)`
`IFieldVisualizer` | `arrowWeight(float w)`
`IFieldVisualizer` | `colorRange(java.awt.Color minColor, java.awt.Color maxColor)`
`IFieldVisualizer` | `colorRange(java.awt.Color minColor, double minLength, java.awt.Color maxColor, double maxLength)`
`IFieldVisualizer` | `colorRange(float minRed, float minGreen, float minBlue, double minLength, float maxRed, float maxGreen, float maxBlue, double maxLength)`
`IFieldVisualizer` | `colorRange(float minRed, float minGreen, float minBlue, float maxRed, float maxGreen, float maxBlue)`
`IFieldVisualizer` | `colorRange(IColor minColor, double minLength, IColor maxColor, double maxLength)`
`IFieldVisualizer` | `colorRange(IColor minClr, IColor maxClr)`
`IFieldVisualizer` | `colorRange(int minRed, int minGreen, int minBlue, double minLength, int maxRed, int maxGreen, int maxBlue, double maxLength)`
`IFieldVisualizer` | `colorRange(int minRed, int minGreen, int minBlue, int maxRed, int maxGreen, int maxBlue)`
`IFieldVisualizer` | `fixLength()`
`IFieldVisualizer` | `fixLength(boolean f)`
`IFieldVisualizer` | `fixLength(double len)`
`IVec` | `gridPos(int i, int j, int k)`
`IFieldVisualizer` | `hide()`
`void` | `initVisualizer()`
`void` | `interact(java.util.ArrayList<IDynamics> agents)` behavior definition of interaction with other dynamic objects.
`IFieldVisualizer` | `layer(ILayer l)` Set layer by ILayer object
`IColor` | `maxColor()`
`double` | `maxLength()`
`IColor` | `minColor()`
`double` | `minLength()`
`IFieldVisualizer` | `name(java.lang.String nm)` methods of IObject
`double` | `scale()`
`IFieldVisualizer` | `scale(double sc)` set vector length scale relative to the length of force
`double` | `scaleLength()`
`IFieldVisualizer` | `scaleLength(double sc)`
`IFieldVisualizer` | `show()`
`IFieldVisualizer` | `size(float sz)`
`IFieldVisualizer` | `updateAlways(boolean f)`
`IFieldVisualizer` | `updateFiled()`
`IFieldVisualizer` | `weight(float w)`

Methods inherited from class igeo.IAgent
`addDynamics, alive, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, del, del, deletDynamics, deleteDynamics, deleteDynamics, duration, duration, dynamicsNum, getDynamics, hsb, hsb, hsb, hsb, initAgent, interact, localDynamics, parent, parent, postinteract, postupdate, preinteract, preupdate, removeTarget, removeTarget, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setHSBColor, setHSBColor, setHSBColor, setHSBColor, target, target, targetNum, targets, time, time, update, updateGraphic, updateTarget, weight`

Methods inherited from class igeo.IObject
`addUserData, addUserData, alpha, alphaInt, attr, attr, attr, awtColor, blue, blueInt, brightness, castStringHashMap, clearDynamics, clearGraphics, clr, clr, clr, clr, clr, cp, createGraphic, defaultAttribute, deleteGraphic, dup, getAWTColor, getColor, getGraphic, getGraphic, getParameter, graphicsNum, gray, grayInt, green, greenInt, grey, greyInt, hue, initGraphic, initObject, isValid, isVisible, layer, layer, name, red, redInt, resetGraphic, saturation, server, setColor, setColor, setColor, setColor, setParameter, syncColor, syncGraphic, syncVisibility, syncWeight, userData, userData, userData, userDataNum, visible, weight`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultNum

    public static int defaultNum

### defaultMinColor

    public static IColor defaultMinColor

### defaultMaxColor

    public static IColor defaultMaxColor

### min

    public IVec min

  corner of grid box

### max

    public IVec max

  corner of grid box

### xnum

    public int xnum

### ynum

    public int ynum

### znum

    public int znum

### arrows

    public IVectorObject[][][] arrows

### vectors

    public IVec[][][] vectors

### arrowSize

    public float arrowSize

### arrowWeight

    public float arrowWeight

### autoSizeAdjust

    public boolean autoSizeAdjust

### arrowSizeRatio

    public float arrowSizeRatio

### scale

    public double scale

  scale of vector length

### fixLength

    public boolean fixLength

### fixedLength

    public double fixedLength

### autoLengthAdjust

    public boolean autoLengthAdjust

### minAutoLengthRatio

    public static double minAutoLengthRatio

### minLength

    public double minLength

  for coloring vector by length

### maxLength

    public double maxLength

  for coloring vector by length

### minColor

    public IColor minColor

### maxColor

    public IColor maxColor

### autoColorAdjust

    public boolean autoColorAdjust

  adjust minLength/maxLength relative to existing lengths

### spacing

    public double spacing

### alpha

    public float alpha

### fieldSet

    public boolean fieldSet

### updateAlways

    public boolean updateAlways

Constructor Detail

### IFieldVisualizer

    public IFieldVisualizer(IVec minCorner,
                            IVec maxCorner)

### IFieldVisualizer

    public IFieldVisualizer(IVec minCorner,
                            IVec maxCorner,
                            int xSampleNum,
                            int ySampleNum,
                            int zSampleNum)

### IFieldVisualizer

    public IFieldVisualizer(IVec corner,
                            double xwidth,
                            double yheight,
                            double zdepth)

### IFieldVisualizer

    public IFieldVisualizer(IVec corner,
                            double xwidth,
                            double yheight,
                            double zdepth,
                            int xSampleNum,
                            int ySampleNum,
                            int zSampleNum)

### IFieldVisualizer

    public IFieldVisualizer(double minx,
                            double miny,
                            double minz,
                            double maxx,
                            double maxy,
                            double maxz)

### IFieldVisualizer

    public IFieldVisualizer(double minx,
                            double miny,
                            double minz,
                            double maxx,
                            double maxy,
                            double maxz,
                            int xSampleNum,
                            int ySampleNum,
                            int zSampleNum)

### IFieldVisualizer

    public IFieldVisualizer(IVec corner,
                            double xwidth,
                            double yheight)

### IFieldVisualizer

    public IFieldVisualizer(IVec corner,
                            double xwidth,
                            double yheight,
                            int xSampleNum,
                            int ySampleNum)

### IFieldVisualizer

    public IFieldVisualizer(double minx,
                            double miny,
                            double maxx,
                            double maxy)

### IFieldVisualizer

    public IFieldVisualizer(double minxyz,
                            double maxxyz)

Method Detail

### colorRange

    public IFieldVisualizer colorRange(int minRed,
                                       int minGreen,
                                       int minBlue,
                                       int maxRed,
                                       int maxGreen,
                                       int maxBlue)

### colorRange

    public IFieldVisualizer colorRange(int minRed,
                                       int minGreen,
                                       int minBlue,
                                       double minLength,
                                       int maxRed,
                                       int maxGreen,
                                       int maxBlue,
                                       double maxLength)

### colorRange

    public IFieldVisualizer colorRange(float minRed,
                                       float minGreen,
                                       float minBlue,
                                       float maxRed,
                                       float maxGreen,
                                       float maxBlue)

### colorRange

    public IFieldVisualizer colorRange(float minRed,
                                       float minGreen,
                                       float minBlue,
                                       double minLength,
                                       float maxRed,
                                       float maxGreen,
                                       float maxBlue,
                                       double maxLength)

### colorRange

    public IFieldVisualizer colorRange(java.awt.Color minColor,
                                       double minLength,
                                       java.awt.Color maxColor,
                                       double maxLength)

### colorRange

    public IFieldVisualizer colorRange(IColor minColor,
                                       double minLength,
                                       IColor maxColor,
                                       double maxLength)

### colorRange

    public IFieldVisualizer colorRange(java.awt.Color minColor,
                                       java.awt.Color maxColor)

### colorRange

    public IFieldVisualizer colorRange(IColor minClr,
                                       IColor maxClr)

### alpha

    public IFieldVisualizer alpha(float a)

### alpha

    public IFieldVisualizer alpha(int a)

### minColor

    public IColor minColor()

### maxColor

    public IColor maxColor()

### minLength

    public double minLength()

### maxLength

    public double maxLength()

### adjustColorAuto

    public IFieldVisualizer adjustColorAuto(boolean f)

### adjustLengthAuto

    public IFieldVisualizer adjustLengthAuto(boolean f)

### adjustColorAutomatically

    public IFieldVisualizer adjustColorAutomatically(boolean f)

### adjustLengthAutomatically

    public IFieldVisualizer adjustLengthAutomatically(boolean f)

### adjustSizeAuto

    public IFieldVisualizer adjustSizeAuto(boolean f)

### adjustSizeAutomatically

    public IFieldVisualizer adjustSizeAutomatically(boolean f)

### adjustSizeAuto

    public IFieldVisualizer adjustSizeAuto(float ratio)

### adjustSizeAutomatically

    public IFieldVisualizer adjustSizeAutomatically(float ratio)

### arrowSizeRatio

    public IFieldVisualizer arrowSizeRatio(float f)

### fixLength

    public IFieldVisualizer fixLength(double len)

### fixLength

    public IFieldVisualizer fixLength()

### fixLength

    public IFieldVisualizer fixLength(boolean f)

### scale

    public IFieldVisualizer scale(double sc)

  set vector length scale relative to the length of force

### scaleLength

    public IFieldVisualizer scaleLength(double sc)

### scale

    public double scale()

### scaleLength

    public double scaleLength()

### arrowSize

    public IFieldVisualizer arrowSize(float sz)

### size

    public IFieldVisualizer size(float sz)

### arrowWeight

    public IFieldVisualizer arrowWeight(float w)

### weight

    public IFieldVisualizer weight(float w)

  Overrides:
    `weight` in class `IAgent`

### updateAlways

    public IFieldVisualizer updateAlways(boolean f)

### initVisualizer

    public void initVisualizer()

### gridPos

    public IVec gridPos(int i,
                        int j,
                        int k)

### interact

    public void interact(java.util.ArrayList<IDynamics> agents)

  Description copied from interface: `IDynamics`
  behavior definition of interaction with other dynamic objects. The server puts all dynamic objects including itself.

  Specified by:
    `interact` in interface `IDynamics`
  Overrides:
    `interact` in class `IAgent`

### updateFiled

    public IFieldVisualizer updateFiled()

### name

    public IFieldVisualizer name(java.lang.String nm)

  methods of IObject

  Overrides:
    `name` in class `IAgent`

### layer

    public IFieldVisualizer layer(ILayer l)

  Description copied from class: `IObject`
  Set layer by ILayer object

  Overrides:
    `layer` in class `IAgent`

### hide

    public IFieldVisualizer hide()

  Overrides:
    `hide` in class `IAgent`

### show

    public IFieldVisualizer show()

  Overrides:
    `show` in class `IAgent`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD